> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_agents.md).

# iai agents

Deploy AI agents with policies, routines, and tools

## Synopsis

Manage deployment of agents to InteractiveAI projects.

## Options

```
  -h, --help   help for agents
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](https://docs.interactive.ai/cli/iai.md) - InteractiveAI's CLI
* [iai agents activate](https://docs.interactive.ai/cli/iai_agents_activate.md) - Activate a deactivated agent in a project
* [iai agents catalog](https://docs.interactive.ai/cli/iai_agents_catalog.md) - List available agent types and versions
* [iai agents chat](https://docs.interactive.ai/cli/iai_agents_chat.md) - Talk to an agent from the terminal
* [iai agents compatibility-matrix](https://docs.interactive.ai/cli/iai_agents_compatibility-matrix.md) - Show agent version to schema version compatibility
* [iai agents create](https://docs.interactive.ai/cli/iai_agents_create.md) - Create an agent in a project
* [iai agents deactivate](https://docs.interactive.ai/cli/iai_agents_deactivate.md) - Deactivate an agent in a project
* [iai agents delete](https://docs.interactive.ai/cli/iai_agents_delete.md) - Delete an agent from a project
* [iai agents describe](https://docs.interactive.ai/cli/iai_agents_describe.md) - Describe an agent in detail
* [iai agents diff](https://docs.interactive.ai/cli/iai_agents_diff.md) - Compare two revisions of an agent
* [iai agents events](https://docs.interactive.ai/cli/iai_agents_events.md) - Events in a conversation session on an agent
* [iai agents list](https://docs.interactive.ai/cli/iai_agents_list.md) - List agents in a project
* [iai agents log-fields](https://docs.interactive.ai/cli/iai_agents_log-fields.md) - List available fields in structured logs
* [iai agents logs](https://docs.interactive.ai/cli/iai_agents_logs.md) - Show logs for an agent
* [iai agents port-forward](https://docs.interactive.ai/cli/iai_agents_port-forward.md) - Forward a local port to an agent
* [iai agents replay](https://docs.interactive.ai/cli/iai_agents_replay.md) - Test an agent by replaying recorded scenarios and report the verdict
* [iai agents restart](https://docs.interactive.ai/cli/iai_agents_restart.md) - Restart an agent in a project
* [iai agents revisions](https://docs.interactive.ai/cli/iai_agents_revisions.md) - List revisions of an agent
* [iai agents routines](https://docs.interactive.ai/cli/iai_agents_routines.md) - Execute autonomous routines on a deployed agent
* [iai agents schema](https://docs.interactive.ai/cli/iai_agents_schema.md) - Display the JSON Schema for agent configuration
* [iai agents sessions](https://docs.interactive.ai/cli/iai_agents_sessions.md) - Conversation sessions on an agent
* [iai agents update](https://docs.interactive.ai/cli/iai_agents_update.md) - Update an agent in a project


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.interactive.ai/cli/iai_agents.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
